Require "streamc" only if Allegro version is < 9.0
authorStelian Ionescu <sionescu@cddr.org>
Tue, 23 Oct 2012 02:11:04 +0000 (23 11:11 +0900)
committerStelian Ionescu <sionescu@cddr.org>
Tue, 23 Oct 2012 02:11:04 +0000 (23 11:11 +0900)
src/conf/requires.lisp

index bfd93a6..4977510 100644 (file)
@@ -6,7 +6,7 @@
 (in-package :iolib.conf)
 
 (defun load-gray-streams ()
-  #+allegro
+  #+(and allegro (not (version>= 9 0)))
   (unless (fboundp 'stream:stream-write-string)
     (require "streamc"))
   #+cmu